﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ListBoxSQL
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        //initialize all classes
        SqlConnection conn = new SqlConnection();
        SqlCommand cmd = new SqlCommand();
        SqlDataAdapter da = new SqlDataAdapter();
        DataTable dt = new DataTable();

        //declaring variables
        string query;

        private void retrieveLstBox()
        {
            try
            {
                //create a query for retrieving data in the database.
                query = "SELECT * FROM tblname";
                //initialize new Sql commands
                cmd = new SqlCommand();
                //hold the data to be executed.
                cmd.Connection = conn;
                cmd.CommandText = query;
                //initialize new Sql data adapter
                da = new SqlDataAdapter();
                //fetching query in the database.
                da.SelectCommand = cmd;
                //initialize new datatable
                dt = new DataTable();
                //refreshes the rows in specified range in the datasource. 
                da.Fill(dt);

                listBox1.DataSource = dt;
                listBox1.DisplayMember = "Fullname";

            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
            finally
            {
                da.Dispose();

            }

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //set a connection between SQL server and Visual C#
            conn.ConnectionString = "Data Source=.\\SQLEXPRESS;database=dbname;trusted_connection=true;";
        }
        private void button1_Click(object sender, EventArgs e)
        {
            //calling the retrieve method
            retrieveLstBox();
        }

    }
}
